<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_rt_2023-12-01.xsd#rol_BalanceSheet" roleURI="http://disclosure.edinet-fsa.go.jp/role/jppfs/rol_BalanceSheet" />
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_rt_2023-12-01.xsd#rol_StatementOfCashFlows-indirect" roleURI="http://disclosure.edinet-fsa.go.jp/role/jppfs/rol_StatementOfCashFlows-indirect" />
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_rt_2023-12-01.xsd#rol_StatementOfChangesInEquity" roleURI="http://disclosure.edinet-fsa.go.jp/role/jppfs/rol_StatementOfChangesInEquity" />
  <link:roleRef xlink:type="simple" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_rt_2023-12-01.xsd#rol_StatementOfIncome" roleURI="http://disclosure.edinet-fsa.go.jp/role/jppfs/rol_StatementOfIncome" />
  <link:calculationLink xlink:type="extended" xlink:role="http://disclosure.edinet-fsa.go.jp/role/jppfs/rol_BalanceSheet">
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_AccountsPayableOther" xlink:label="jppfs_cor_AccountsPayableOther" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_AccountsPayableTrade" xlink:label="jppfs_cor_AccountsPayableTrade" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_AccruedExpenses" xlink:label="jppfs_cor_AccruedExpenses" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_AllowanceForDoubtfulAccountsCA" xlink:label="jppfs_cor_AllowanceForDoubtfulAccountsCA" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_AllowanceForDoubtfulAccountsIOAByGroup" xlink:label="jppfs_cor_AllowanceForDoubtfulAccountsIOAByGroup" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_Assets" xlink:label="jppfs_cor_Assets" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_CapitalStock" xlink:label="jppfs_cor_CapitalStock" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_CapitalSurplus" xlink:label="jppfs_cor_CapitalSurplus" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_CashAndDeposits" xlink:label="jppfs_cor_CashAndDeposits" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ContractLiabilities" xlink:label="jppfs_cor_ContractLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_CurrentAssets" xlink:label="jppfs_cor_CurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_CurrentLiabilities" xlink:label="jppfs_cor_CurrentLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_CurrentPortionOfLongTermLoansPayable" xlink:label="jppfs_cor_CurrentPortionOfLongTermLoansPayable" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_DeferredTaxAssets" xlink:label="jppfs_cor_DeferredTaxAssets" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncomeTaxesPayable" xlink:label="jppfs_cor_IncomeTaxesPayable" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IntangibleAssets" xlink:label="jppfs_cor_IntangibleAssets" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_Inventories" xlink:label="jppfs_cor_Inventories" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_InvestmentsAndOtherAssets" xlink:label="jppfs_cor_InvestmentsAndOtherAssets" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_LeaseAndGuaranteeDeposits" xlink:label="jppfs_cor_LeaseAndGuaranteeDeposits" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_LegalCapitalSurplus" xlink:label="jppfs_cor_LegalCapitalSurplus" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_Liabilities" xlink:label="jppfs_cor_Liabilities" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_LiabilitiesAndNetAssets" xlink:label="jppfs_cor_LiabilitiesAndNetAssets" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NetAssets" xlink:label="jppfs_cor_NetAssets" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NoncurrentAssets" xlink:label="jppfs_cor_NoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OtherCA" xlink:label="jppfs_cor_OtherCA" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OtherCapitalSurplus" xlink:label="jppfs_cor_OtherCapitalSurplus" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OtherCL" xlink:label="jppfs_cor_OtherCL" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OtherIOA" xlink:label="jppfs_cor_OtherIOA" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_PatentRight" xlink:label="jppfs_cor_PatentRight" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_PrepaidExpenses" xlink:label="jppfs_cor_PrepaidExpenses" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_RetainedEarnings" xlink:label="jppfs_cor_RetainedEarnings" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_RetainedEarningsBroughtForward" xlink:label="jppfs_cor_RetainedEarningsBroughtForward" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ShareholdersEquity" xlink:label="jppfs_cor_ShareholdersEquity" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_SubscriptionRightsToShares" xlink:label="jppfs_cor_SubscriptionRightsToShares" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_TreasuryStock" xlink:label="jppfs_cor_TreasuryStock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37815-000_2024-06-30_01_2024-09-27.xsd#jpcrp030000-asr_E37815-000_AccountsReceivableTradeAndContractAssetsCA" xlink:label="jpcrp030000-asr_E37815-000_AccountsReceivableTradeAndContractAssetsCA" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_Assets" xlink:to="jppfs_cor_CurrentAssets" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_Assets" xlink:to="jppfs_cor_NoncurrentAssets" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CapitalSurplus" xlink:to="jppfs_cor_OtherCapitalSurplus" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CapitalSurplus" xlink:to="jppfs_cor_LegalCapitalSurplus" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentAssets" xlink:to="jppfs_cor_CashAndDeposits" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentAssets" xlink:to="jppfs_cor_Inventories" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentAssets" xlink:to="jppfs_cor_PrepaidExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentAssets" xlink:to="jppfs_cor_OtherCA" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentAssets" xlink:to="jppfs_cor_AllowanceForDoubtfulAccountsCA" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentAssets" xlink:to="jpcrp030000-asr_E37815-000_AccountsReceivableTradeAndContractAssetsCA" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_Liabilities" xlink:to="jppfs_cor_CurrentLiabilities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentLiabilities" xlink:to="jppfs_cor_AccountsPayableTrade" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentLiabilities" xlink:to="jppfs_cor_CurrentPortionOfLongTermLoansPayable" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentLiabilities" xlink:to="jppfs_cor_AccountsPayableOther" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentLiabilities" xlink:to="jppfs_cor_AccruedExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentLiabilities" xlink:to="jppfs_cor_IncomeTaxesPayable" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentLiabilities" xlink:to="jppfs_cor_ContractLiabilities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_CurrentLiabilities" xlink:to="jppfs_cor_OtherCL" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_InvestmentsAndOtherAssets" xlink:to="jppfs_cor_DeferredTaxAssets" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_InvestmentsAndOtherAssets" xlink:to="jppfs_cor_OtherIOA" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_InvestmentsAndOtherAssets" xlink:to="jppfs_cor_AllowanceForDoubtfulAccountsIOAByGroup" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_InvestmentsAndOtherAssets" xlink:to="jppfs_cor_LeaseAndGuaranteeDeposits" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_LiabilitiesAndNetAssets" xlink:to="jppfs_cor_Liabilities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_LiabilitiesAndNetAssets" xlink:to="jppfs_cor_NetAssets" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetAssets" xlink:to="jppfs_cor_ShareholdersEquity" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetAssets" xlink:to="jppfs_cor_SubscriptionRightsToShares" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NoncurrentAssets" xlink:to="jppfs_cor_IntangibleAssets" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_IntangibleAssets" xlink:to="jppfs_cor_PatentRight" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NoncurrentAssets" xlink:to="jppfs_cor_InvestmentsAndOtherAssets" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_ShareholdersEquity" xlink:to="jppfs_cor_RetainedEarnings" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_RetainedEarnings" xlink:to="jppfs_cor_RetainedEarningsBroughtForward" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_ShareholdersEquity" xlink:to="jppfs_cor_CapitalStock" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_ShareholdersEquity" xlink:to="jppfs_cor_CapitalSurplus" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_ShareholdersEquity" xlink:to="jppfs_cor_TreasuryStock" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://disclosure.edinet-fsa.go.jp/role/jppfs/rol_StatementOfIncome">
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_CostOfSales" xlink:label="jppfs_cor_CostOfSales" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ForeignExchangeGainsNOI" xlink:label="jppfs_cor_ForeignExchangeGainsNOI" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_GrossProfit" xlink:label="jppfs_cor_GrossProfit" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncomeBeforeIncomeTaxes" xlink:label="jppfs_cor_IncomeBeforeIncomeTaxes" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncomeTaxes" xlink:label="jppfs_cor_IncomeTaxes" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncomeTaxesCurrent" xlink:label="jppfs_cor_IncomeTaxesCurrent" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncomeTaxesDeferred" xlink:label="jppfs_cor_IncomeTaxesDeferred" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_InterestExpensesNOE" xlink:label="jppfs_cor_InterestExpensesNOE" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_InterestIncomeNOI" xlink:label="jppfs_cor_InterestIncomeNOI" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ListingExpensesNOE" xlink:label="jppfs_cor_ListingExpensesNOE" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_MiscellaneousIncomeNOI" xlink:label="jppfs_cor_MiscellaneousIncomeNOI" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_MiscellaneousLossNOE" xlink:label="jppfs_cor_MiscellaneousLossNOE" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NetSales" xlink:label="jppfs_cor_NetSales" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NonOperatingExpenses" xlink:label="jppfs_cor_NonOperatingExpenses" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NonOperatingIncome" xlink:label="jppfs_cor_NonOperatingIncome" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OperatingIncome" xlink:label="jppfs_cor_OperatingIncome" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OrdinaryIncome" xlink:label="jppfs_cor_OrdinaryIncome" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ProfitLoss" xlink:label="jppfs_cor_ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ProvisionOfAllowanceForDoubtfulAccountsNOE" xlink:label="jppfs_cor_ProvisionOfAllowanceForDoubtfulAccountsNOE" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_SellingGeneralAndAdministrativeExpenses" xlink:label="jppfs_cor_SellingGeneralAndAdministrativeExpenses" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_StockIssuanceCostNOE" xlink:label="jppfs_cor_StockIssuanceCostNOE" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_SubsidyIncomeNOIBounty" xlink:label="jppfs_cor_SubsidyIncomeNOIBounty" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37815-000_2024-06-30_01_2024-09-27.xsd#jpcrp030000-asr_E37815-000_PointReturnIncomeNOI" xlink:label="jpcrp030000-asr_E37815-000_PointReturnIncomeNOI" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_GrossProfit" xlink:to="jppfs_cor_NetSales" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_GrossProfit" xlink:to="jppfs_cor_CostOfSales" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_IncomeBeforeIncomeTaxes" xlink:to="jppfs_cor_OrdinaryIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_IncomeTaxes" xlink:to="jppfs_cor_IncomeTaxesCurrent" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_IncomeTaxes" xlink:to="jppfs_cor_IncomeTaxesDeferred" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingExpenses" xlink:to="jppfs_cor_InterestExpensesNOE" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingExpenses" xlink:to="jppfs_cor_ProvisionOfAllowanceForDoubtfulAccountsNOE" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingExpenses" xlink:to="jppfs_cor_StockIssuanceCostNOE" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingExpenses" xlink:to="jppfs_cor_ListingExpensesNOE" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingExpenses" xlink:to="jppfs_cor_MiscellaneousLossNOE" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_OrdinaryIncome" xlink:to="jppfs_cor_NonOperatingIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingIncome" xlink:to="jppfs_cor_InterestIncomeNOI" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingIncome" xlink:to="jppfs_cor_ForeignExchangeGainsNOI" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingIncome" xlink:to="jpcrp030000-asr_E37815-000_PointReturnIncomeNOI" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingIncome" xlink:to="jppfs_cor_SubsidyIncomeNOIBounty" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NonOperatingIncome" xlink:to="jppfs_cor_MiscellaneousIncomeNOI" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_OrdinaryIncome" xlink:to="jppfs_cor_OperatingIncome" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_OperatingIncome" xlink:to="jppfs_cor_GrossProfit" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_OperatingIncome" xlink:to="jppfs_cor_SellingGeneralAndAdministrativeExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_OrdinaryIncome" xlink:to="jppfs_cor_NonOperatingExpenses" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="-1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_ProfitLoss" xlink:to="jppfs_cor_IncomeBeforeIncomeTaxes" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_ProfitLoss" xlink:to="jppfs_cor_IncomeTaxes" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="-1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://disclosure.edinet-fsa.go.jp/role/jppfs/rol_StatementOfChangesInEquity">
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_DisposalOfTreasuryStock" xlink:label="jppfs_cor_DisposalOfTreasuryStock" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IssuanceOfNewShares" xlink:label="jppfs_cor_IssuanceOfNewShares" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IssuanceOfNewSharesexerciseOfSubscriptionRightsToShares" xlink:label="jppfs_cor_IssuanceOfNewSharesexerciseOfSubscriptionRightsToShares" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NetChangesOfItemsOtherThanShareholdersEquity" xlink:label="jppfs_cor_NetChangesOfItemsOtherThanShareholdersEquity" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ProfitLoss" xlink:label="jppfs_cor_ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_PurchaseOfTreasuryStock" xlink:label="jppfs_cor_PurchaseOfTreasuryStock" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_TotalChangesOfItemsDuringThePeriod" xlink:label="jppfs_cor_TotalChangesOfItemsDuringThePeriod" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_TransferToOtherCapitalSurplusFromCapitalStock" xlink:label="jppfs_cor_TransferToOtherCapitalSurplusFromCapitalStock" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_TotalChangesOfItemsDuringThePeriod" xlink:to="jppfs_cor_IssuanceOfNewShares" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_TotalChangesOfItemsDuringThePeriod" xlink:to="jppfs_cor_IssuanceOfNewSharesexerciseOfSubscriptionRightsToShares" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_TotalChangesOfItemsDuringThePeriod" xlink:to="jppfs_cor_TransferToOtherCapitalSurplusFromCapitalStock" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_TotalChangesOfItemsDuringThePeriod" xlink:to="jppfs_cor_ProfitLoss" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_TotalChangesOfItemsDuringThePeriod" xlink:to="jppfs_cor_PurchaseOfTreasuryStock" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_TotalChangesOfItemsDuringThePeriod" xlink:to="jppfs_cor_DisposalOfTreasuryStock" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_TotalChangesOfItemsDuringThePeriod" xlink:to="jppfs_cor_NetChangesOfItemsOtherThanShareholdersEquity" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="7" weight="1" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="http://disclosure.edinet-fsa.go.jp/role/jppfs/rol_StatementOfCashFlows-indirect">
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_DecreaseIncreaseInAccountsReceivableTradeAndContractAssetsOpeCF" xlink:label="jppfs_cor_DecreaseIncreaseInAccountsReceivableTradeAndContractAssetsOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_DecreaseIncreaseInInventoriesOpeCF" xlink:label="jppfs_cor_DecreaseIncreaseInInventoriesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_DepreciationAndAmortizationOpeCF" xlink:label="jppfs_cor_DepreciationAndAmortizationOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_EffectOfExchangeRateChangeOnCashAndCashEquivalents" xlink:label="jppfs_cor_EffectOfExchangeRateChangeOnCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ForeignExchangeLossesGainsOpeCF" xlink:label="jppfs_cor_ForeignExchangeLossesGainsOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncomeBeforeIncomeTaxes" xlink:label="jppfs_cor_IncomeBeforeIncomeTaxes" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncomeTaxesPaidOpeCF" xlink:label="jppfs_cor_IncomeTaxesPaidOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncreaseDecreaseInAccountsPayableOtherOpeCF" xlink:label="jppfs_cor_IncreaseDecreaseInAccountsPayableOtherOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncreaseDecreaseInAccruedExpensesOpeCF" xlink:label="jppfs_cor_IncreaseDecreaseInAccruedExpensesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncreaseDecreaseInAllowanceForDoubtfulAccountsOpeCF" xlink:label="jppfs_cor_IncreaseDecreaseInAllowanceForDoubtfulAccountsOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncreaseDecreaseInContractLiabilitiesOpeCF" xlink:label="jppfs_cor_IncreaseDecreaseInContractLiabilitiesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_IncreaseDecreaseInNotesAndAccountsPayableTradeOpeCF" xlink:label="jppfs_cor_IncreaseDecreaseInNotesAndAccountsPayableTradeOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_InterestExpensesOpeCF" xlink:label="jppfs_cor_InterestExpensesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_InterestExpensesPaidOpeCFFinCF" xlink:label="jppfs_cor_InterestExpensesPaidOpeCFFinCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_InterestIncomeOpeCF" xlink:label="jppfs_cor_InterestIncomeOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_InterestIncomeReceivedOpeCF" xlink:label="jppfs_cor_InterestIncomeReceivedOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ListingExpensesOpeCF" xlink:label="jppfs_cor_ListingExpensesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NetCashProvidedByUsedInFinancingActivities" xlink:label="jppfs_cor_NetCashProvidedByUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NetCashProvidedByUsedInInvestmentActivities" xlink:label="jppfs_cor_NetCashProvidedByUsedInInvestmentActivities" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NetCashProvidedByUsedInOperatingActivities" xlink:label="jppfs_cor_NetCashProvidedByUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_NetIncreaseDecreaseInCashAndCashEquivalents" xlink:label="jppfs_cor_NetIncreaseDecreaseInCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OtherNetOpeCF" xlink:label="jppfs_cor_OtherNetOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_OtherPaymentsInvCF" xlink:label="jppfs_cor_OtherPaymentsInvCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_PaymentsForLeaseAndGuaranteeDepositsInvCF" xlink:label="jppfs_cor_PaymentsForLeaseAndGuaranteeDepositsInvCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_PaymentsOfListingExpensesFinCF" xlink:label="jppfs_cor_PaymentsOfListingExpensesFinCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ProceedsFromCollectionOfLeaseAndGuaranteeDepositsInvCF" xlink:label="jppfs_cor_ProceedsFromCollectionOfLeaseAndGuaranteeDepositsInvCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ProceedsFromDisposalOfTreasuryStockFinCF" xlink:label="jppfs_cor_ProceedsFromDisposalOfTreasuryStockFinCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ProceedsFromIssuanceOfCommonStockFinCF" xlink:label="jppfs_cor_ProceedsFromIssuanceOfCommonStockFinCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_ProceedsFromIssuanceOfStockResultingFromExerciseOfSubscriptionRightsToSharesFinCF" xlink:label="jppfs_cor_ProceedsFromIssuanceOfStockResultingFromExerciseOfSubscriptionRightsToSharesFinCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_PurchaseOfTreasuryStockFinCF" xlink:label="jppfs_cor_PurchaseOfTreasuryStockFinCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_RepaymentOfLongTermLoansPayableFinCF" xlink:label="jppfs_cor_RepaymentOfLongTermLoansPayableFinCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_StockIssuanceCostOpeCF" xlink:label="jppfs_cor_StockIssuanceCostOpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_SubsidyIncome2OpeCF" xlink:label="jppfs_cor_SubsidyIncome2OpeCF" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2023-12-01/jppfs_cor_2023-12-01.xsd#jppfs_cor_SubtotalOpeCF" xlink:label="jppfs_cor_SubtotalOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37815-000_2024-06-30_01_2024-09-27.xsd#jpcrp030000-asr_E37815-000_ProceedsFromDisposalOfTreasurySharesFromExerciseOfShareAcquisitionRightsFinCF" xlink:label="jpcrp030000-asr_E37815-000_ProceedsFromDisposalOfTreasurySharesFromExerciseOfShareAcquisitionRightsFinCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37815-000_2024-06-30_01_2024-09-27.xsd#jpcrp030000-asr_E37815-000_ProvisionForAllowanceForDoubtfulAccountsOpeCF" xlink:label="jpcrp030000-asr_E37815-000_ProvisionForAllowanceForDoubtfulAccountsOpeCF" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInFinancingActivities" xlink:to="jppfs_cor_RepaymentOfLongTermLoansPayableFinCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInFinancingActivities" xlink:to="jppfs_cor_ProceedsFromIssuanceOfCommonStockFinCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInFinancingActivities" xlink:to="jppfs_cor_ProceedsFromIssuanceOfStockResultingFromExerciseOfSubscriptionRightsToSharesFinCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInFinancingActivities" xlink:to="jppfs_cor_PurchaseOfTreasuryStockFinCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInFinancingActivities" xlink:to="jpcrp030000-asr_E37815-000_ProceedsFromDisposalOfTreasurySharesFromExerciseOfShareAcquisitionRightsFinCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInFinancingActivities" xlink:to="jppfs_cor_ProceedsFromDisposalOfTreasuryStockFinCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInFinancingActivities" xlink:to="jppfs_cor_PaymentsOfListingExpensesFinCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInInvestmentActivities" xlink:to="jppfs_cor_PaymentsForLeaseAndGuaranteeDepositsInvCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInInvestmentActivities" xlink:to="jppfs_cor_ProceedsFromCollectionOfLeaseAndGuaranteeDepositsInvCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInInvestmentActivities" xlink:to="jppfs_cor_OtherPaymentsInvCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetIncreaseDecreaseInCashAndCashEquivalents" xlink:to="jppfs_cor_NetCashProvidedByUsedInOperatingActivities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInOperatingActivities" xlink:to="jppfs_cor_SubtotalOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInOperatingActivities" xlink:to="jppfs_cor_InterestIncomeReceivedOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInOperatingActivities" xlink:to="jppfs_cor_InterestExpensesPaidOpeCFFinCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetCashProvidedByUsedInOperatingActivities" xlink:to="jppfs_cor_IncomeTaxesPaidOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetIncreaseDecreaseInCashAndCashEquivalents" xlink:to="jppfs_cor_NetCashProvidedByUsedInInvestmentActivities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetIncreaseDecreaseInCashAndCashEquivalents" xlink:to="jppfs_cor_NetCashProvidedByUsedInFinancingActivities" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_NetIncreaseDecreaseInCashAndCashEquivalents" xlink:to="jppfs_cor_EffectOfExchangeRateChangeOnCashAndCashEquivalents" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_IncomeBeforeIncomeTaxes" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="1" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_DepreciationAndAmortizationOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="2" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jpcrp030000-asr_E37815-000_ProvisionForAllowanceForDoubtfulAccountsOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="3" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_IncreaseDecreaseInAllowanceForDoubtfulAccountsOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="4" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_InterestIncomeOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="5" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_InterestExpensesOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="6" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_ForeignExchangeLossesGainsOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="7" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_StockIssuanceCostOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="8" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_ListingExpensesOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="9" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_SubsidyIncome2OpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="10" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_DecreaseIncreaseInAccountsReceivableTradeAndContractAssetsOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="11" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_DecreaseIncreaseInInventoriesOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="12" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_IncreaseDecreaseInNotesAndAccountsPayableTradeOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="13" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_IncreaseDecreaseInAccountsPayableOtherOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="14" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_IncreaseDecreaseInAccruedExpensesOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="15" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_IncreaseDecreaseInContractLiabilitiesOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="16" weight="1" />
    <link:calculationArc xlink:type="arc" xlink:from="jppfs_cor_SubtotalOpeCF" xlink:to="jppfs_cor_OtherNetOpeCF" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" order="17" weight="1" />
  </link:calculationLink>
</link:linkbase>